Package org.apache.tapestry5.internal.spring

# Class SymbolBeanFactoryPostProcessor

java.lang.Object
org.springframework.core.io.support.PropertiesLoaderSupport
org.springframework.beans.factory.config.PropertyResourceConfigurer
org.springframework.beans.factory.config.PlaceholderConfigurerSupport
org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
org.apache.tapestry5.internal.spring.SymbolBeanFactoryPostProcessor

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.config.BeanFactoryPostProcessor`, `org.springframework.core.Ordered`, `org.springframework.core.PriorityOrdered`

public class SymbolBeanFactoryPostProcessor extends org.springframework.beans.factory.config.PropertyPlaceholderConfigurer

- ## Field Summary

  ### Fields inherited from class org.springframework.beans.factory.config.PropertyPlaceholderConfigurer

  `SYSTEM_PROPERTIES_MODE_FALLBACK, SYSTEM_PROPERTIES_MODE_NEVER, SYSTEM_PROPERTIES_MODE_OVERRIDE`

  ### Fields inherited from class org.springframework.beans.factory.config.PlaceholderConfigurerSupport

  `DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, DEFAULT_VALUE_SEPARATOR, ignoreUnresolvablePlaceholders, nullValue, placeholderPrefix, placeholderSuffix, valueSeparator`

  ### Fields inherited from class org.springframework.core.io.support.PropertiesLoaderSupport

  `localOverride, localProperties, logger`

  ### Fields inherited from interface org.springframework.core.Ordered

  `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SymbolBeanFactoryPostProcessor(SymbolSource symbolSource)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `resolvePlaceholder(String placeholder, Properties props)`

  ### Methods inherited from class org.springframework.beans.factory.config.PropertyPlaceholderConfigurer

  `parseStringValue, processProperties, resolvePlaceholder, resolveSystemProperty, setSearchSystemEnvironment, setSystemPropertiesMode, setSystemPropertiesModeName`

  ### Methods inherited from class org.springframework.beans.factory.config.PlaceholderConfigurerSupport

  `doProcessProperties, setBeanFactory, setBeanName, setIgnoreUnresolvablePlaceholders, setNullValue, setPlaceholderPrefix, setPlaceholderSuffix, setValueSeparator`

  ### Methods inherited from class org.springframework.beans.factory.config.PropertyResourceConfigurer

  `convertProperties, convertProperty, convertPropertyValue, getOrder, postProcessBeanFactory, setOrder`

  ### Methods inherited from class org.springframework.core.io.support.PropertiesLoaderSupport

  `loadProperties, mergeProperties, setFileEncoding, setIgnoreResourceNotFound, setLocalOverride, setLocation, setLocations, setProperties, setPropertiesArray, setPropertiesPersister`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SymbolBeanFactoryPostProcessor

    public SymbolBeanFactoryPostProcessor(SymbolSource symbolSource)

- ## Method Details

  - ### resolvePlaceholder

    protected String resolvePlaceholder(String placeholder, Properties props)
    Overrides:
      `resolvePlaceholder` in class `org.springframework.beans.factory.config.PropertyPlaceholderConfigurer`